![Appboy Logo](https://github.com/Appboy/appboy-ios-sdk/blob/master/Appboy_Logo_400x100.png)

# iOS SDK

Successful marketing automation is essential to the future of your mobile app. Appboy helps you engage your users beyond the download. Visit the following links for details and we'll have you up and running in no time!

- [Appboy Academy](http://www.appboy.com/academy "Appboy Academy")
- [Technical Documentation](http://documentation.appboy.com "Appboy Technical Documentation")
- [Full Class Documentation](http://appboy.github.io/appboy-ios-sdk/docs/annotated.html "Appboy iOS SDK Class Documentation")

## Components

- `AppboyKit` - Contains the variant of our SDK.
- `Example` - Contains the Stopwatch Sample App which contains integration examples for the iOS SDK.
	- The Stopwatch Sample App uses our [CocoaPods](http://guides.cocoapods.org/) integration (`Appboy-iOS-SDK`), so you must :
	  1. [Install CocoaPods](http://guides.cocoapods.org/using/getting-started.html)
	  2. Run `pod install` in the `Example` directory
	  3. Open the `Stopwatch.xcworkspace` to open the project.

## Version Support

The iOS SDK supports iOS 7.0+. 

Integrating the iOS SDK [requires Xcode 8](https://github.com/Appboy/appboy-ios-sdk/blob/master/CHANGELOG.md#2240). Developers requiring Xcode 7 may integrate Appboy iOS SDK version 2.23 and below. 

Appboy uses [Font Awesome](http://fortawesome.github.io/Font-Awesome/) 4.3.0 for in-app message icons.  Check out the [cheat sheet](http://fortawesome.github.io/Font-Awesome/cheatsheet/) to browse available icons.

[![Carthage compatible](https://img.shields.io/badge/Carthage-compatible-4BC51D.svg?style=flat)](https://github.com/Carthage/Carthage) as a prebuilt framework.  Building from source currently not supported, see [#85](https://github.com/Appboy/appboy-ios-sdk/issues/85). 

## Questions?

If you have questions, please contact [support@appboy.com](mailto:support@appboy.com).
